#### D.12.6.6 matmult

Procedure from library `rootsmr.lib` (see rootsmr_lib).

Usage:
  matmult(f,b,i); f poly, b,i ideal

Return:
  matrix: the matrix of the multiplication map by f (m_f) on r/i w.r.t. to the monomial basis b of r/i (r = basering)

Assume:
  i is a Groebner basis and b is an ordered monomial basis of r/i, as given by qbase(i)

Example:

    LIB "rootsmr.lib";
    ring r = 0,(x,y),dp;
    ideal i = x4-y2x,y2-13;
    i = std(i);
    ideal b = qbase(i);
    poly f = x3-xy+y-13+x4-y2x;
    matrix m = matmult(f,b,i);
    print(m);
    ==> 0,   1,  0,  -1,0,  0, 1,  0,
    ==> 13,  0,  -13,0, 0,  0, 0,  1,
    ==> 0,   0,  0,  1, 0,  -1,0,  0,
    ==> 0,   0,  13, 0, -13,0, 0,  0,
    ==> 0,   -13,0,  0, 0,  1, 0,  -1,
    ==> -169,0,  0,  0, 13, 0, -13,0,
    ==> 0,   0,  0,  0, 0,  0, -13,1,
    ==> 0,   0,  0,  0, 0,  0, 13, -13

See also: coords; matbil.

User manual for Singular version 4.4.1, 2025, generated by texi2html.